## python-qtconsole 4.2.1

=== docs/requirements.txt ===
pygments
-e git+https://github.com/jupyter/jupyter_client.git#egg=jupyter_client
-e git+https://github.com/ipython/ipython.git#egg=ipython
-e git+https://github.com/ipython/ipykernel.git#egg=ipykernel

=== debian/changelog ===
python-qtconsole (4.2.1-3) unstable; urgency=medium

  * d/control
    - Added python-pyqt5, python-pyqt5.qtsvg,
      python3-pyqt5 and python3-pyqt5.qtsvg
      dependencies (Closes: #844620)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 03 Dec 2016 08:19:33 +0100

python-qtconsole (4.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 30 Oct 2016 20:36:23 +0100

python-qtconsole (4.2.1-2~exp3) experimental; urgency=medium

  * Still working on ... #830583

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Wed, 24 Aug 2016 20:36:23 +0200

python-qtconsole (4.2.1-2~exp2) experimental; urgency=medium

  * fix for real #830583

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Tue, 23 Aug 2016 22:59:24 +0200

python-qtconsole (4.2.1-2~exp1) experimental; urgency=medium

  * Add maintscript in order to (Closes: #830583)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 20 Aug 2016 18:29:37 +0200

python-qtconsole (4.2.1-1) experimental; urgency=low

  * Initial release (closes: #826456)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 22 May 2016 17:31:38 +0200

=== debian/control ===
Source: python-qtconsole
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-ipykernel,
               python-jupyter-client,
               python-nose,
               python-pygments,
               python-pyqt5,
               python-pyqt5.qtsvg,
               python-setuptools,
               python-sphinx,
               python-sphinx-rtd-theme,
               python-traitlets,
               python3-all,
               python3-ipykernel,
               python3-jupyter-client,
               python3-nose,
               python3-pygments,
               python3-pyqt5,
               python3-pyqt5.qtsvg,
               python3-setuptools,
               python3-traitlets
Standards-Version: 3.9.8
Homepage: http://jupyter.org
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-qtconsole.git
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-qtconsole.git

Package: ipython-qtconsole
Architecture: all
Section: oldlibs
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: python-qtconsole, ${misc:Depends}
Description: transitional dummy package for python-qtconsole
 This is a transitional package to ease upgrades to the
 python-qtconsole package. It can be safely removed.

Package: python-qtconsole
Architecture: all
Depends: python-pyqt5, python-pyqt5.qtsvg, ${misc:Depends}, ${python:Depends}
Description: Jupyter - Qt console (Python 2)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the qtconsole library for the Python 2 interpreter.

Package: ipython3-qtconsole
Architecture: all
Section: oldlibs
Priority: extra
Pre-Depends: ${misc:Pre-Depends}
Depends: python3-qtconsole, ${misc:Depends}
Description: transitional dummy package for python3-qtconsole
 This is a transitional package to ease upgrades to the
 python3-qtconsole package. It can be safely removed.

Package: python3-qtconsole
Architecture: all
Depends: python3-pyqt5,
         python3-pyqt5.qtsvg,
         ${misc:Depends},
         ${python3:Depends}
Description: Jupyter - Qt console (Python 3)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the qtconsole library for the Python 3 interpreter.

Package: jupyter-qtconsole
Architecture: all
Section: interpreters
Depends: jupyter-core, python3-qtconsole, ${misc:Depends}, ${python3:Depends}
Description: Jupyter - Qt console (binaries)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses,
 auto-quoting, and is embeddable in other Python programs.
 .
 This package contains the qtconsole binaries for the Python 3
 interpreter.

Package: python-qtconsole-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Jupyter - Qt console (documentation)
 IPython can be used as a replacement for the standard Python shell,
 or it can be used as a complete working environment for scientific
 computing (like Matlab or Mathematica) when paired with the standard
 Python scientific and numerical tools. It supports dynamic object
 introspections, numbered input/output prompts, a macro system,
 session logging, session restoring, complete system shell access,
 verbose and colored traceback reports, auto-parentheses, auto-quoting,
 and is embeddable in other Python programs.
 .
 This package contains the qtconsole library documentation.

## python-qtconsole 4.3.1

=== debian/changelog ===
python-qtconsole (4.3.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Picca Frédéric-Emmanuel ]
  * Switched to compat level 12.
  * d/salsa-ci.yml: Created
  * Removed Python2 module (Closes: #938116)
  * Removed transitional ipython[3]-qtconsole (Closes: #940770, #940771)
  * d/control: Added Build-Depends python3-sphinx-rtd-theme

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 05 Dec 2019 09:54:27 +0100

python-qtconsole (4.3.1-1) unstable; urgency=medium

  * New upstream version 4.3.1 (Closes: #852308)
  * Bump standards-Version to 4.1.1 (nothing to do)
  * Switch to compat level 10

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 08 Oct 2017 12:16:47 +0200

=== debian/control ===
--- 
+++ 
@@ -3,19 +3,8 @@
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-ipykernel,
-               python-jupyter-client,
-               python-nose,
-               python-pygments,
-               python-pyqt5,
-               python-pyqt5.qtsvg,
-               python-setuptools,
-               python-sphinx,
-               python-sphinx-rtd-theme,
-               python-traitlets,
                python3-all,
                python3-ipykernel,
                python3-jupyter-client,
@@ -24,46 +13,13 @@
                python3-pyqt5,
                python3-pyqt5.qtsvg,
                python3-setuptools,
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-traitlets
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Homepage: http://jupyter.org
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-qtconsole.git
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-qtconsole.git
-
-Package: ipython-qtconsole
-Architecture: all
-Section: oldlibs
-Priority: extra
-Pre-Depends: ${misc:Pre-Depends}
-Depends: python-qtconsole, ${misc:Depends}
-Description: transitional dummy package for python-qtconsole
- This is a transitional package to ease upgrades to the
- python-qtconsole package. It can be safely removed.
-
-Package: python-qtconsole
-Architecture: all
-Depends: python-pyqt5, python-pyqt5.qtsvg, ${misc:Depends}, ${python:Depends}
-Description: Jupyter - Qt console (Python 2)
- IPython can be used as a replacement for the standard Python shell,
- or it can be used as a complete working environment for scientific
- computing (like Matlab or Mathematica) when paired with the standard
- Python scientific and numerical tools. It supports dynamic object
- introspections, numbered input/output prompts, a macro system,
- session logging, session restoring, complete system shell access,
- verbose and colored traceback reports, auto-parentheses, auto-quoting,
- and is embeddable in other Python programs.
- .
- This package contains the qtconsole library for the Python 2 interpreter.
-
-Package: ipython3-qtconsole
-Architecture: all
-Section: oldlibs
-Priority: extra
-Pre-Depends: ${misc:Pre-Depends}
-Depends: python3-qtconsole, ${misc:Depends}
-Description: transitional dummy package for python3-qtconsole
- This is a transitional package to ease upgrades to the
- python3-qtconsole package. It can be safely removed.
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-qtconsole
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-qtconsole.git
 
 Package: python3-qtconsole
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=qtconsole
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf docs/build

override_dh_auto_install:
	dh_auto_install

	# install scripts into jupyter-qtconsole
	python3 setup.py install_scripts -d debian/jupyter-qtconsole/usr/bin

override_dh_install:
	dh_install

	## install the .desktop files
	dh_install -p jupyter-qtconsole \
                   examples/jupyter-qtconsole.desktop \
		   usr/share/applications

override_dh_installman:
	dh_installman -p jupyter-qtconsole debian/jupyter-qtconsole.1

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	cd docs && PYTHONPATH=$(CURDIR) $(MAKE) html
	dh_installdocs docs/build/html -p python-qtconsole-doc --doc-main-package=python3-qtconsole
	dh_sphinxdoc -O--buildsystem=pybuild
endif

## python-qtconsole 4.6.0

=== debian/changelog ===
python-qtconsole (4.6.0-1) unstable; urgency=medium

  * New upstream version 4.6.0
  * d/patches: Removed and equivalent was upstreamed.
  * d/control:
    - Added Build-Depends, python3-pytestqt, python3-pytest-xvfb.
    - Removed Build-Depends, nose
  * d/rules: do not run test for now during the build.
  * d/t/control: Added to run the test with autopkgtests.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 09 Feb 2020 13:29:37 +0100

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,23 @@
                dh-python,
                python3-all,
                python3-ipykernel,
+               python3-ipython-genutils,
                python3-jupyter-client,
-               python3-nose,
+               python3-jupyter-core,
                python3-pygments,
                python3-pyqt5,
                python3-pyqt5.qtsvg,
+               python3-pytest,
+               python3-pytest-xvfb,
+               python3-pytestqt,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-traitlets
-Standards-Version: 4.1.1
-Homepage: http://jupyter.org
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-qtconsole
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-qtconsole.git
+Homepage: http://jupyter.org
 
 Package: python3-qtconsole
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 override_dh_clean:
 	dh_clean
 	rm -rf docs/build
+
+override_dh_auto_test:
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Test-Command: set -efu
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" gdb -q -batch -ex run -ex backtrace --args python3 -m pytest --pyargs qtconsole
Depends: gdb, python3-all, python3-pytest, python3-pytest-xvfb, python3-pytestqt, python3-qtconsole, xauth, xvfb

## python-qtconsole 4.7.6

=== debian/changelog ===
python-qtconsole (4.7.6-1) unstable; urgency=medium

  [Debian Janitor]
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.0, no changes needed.

  [Picca Frédéric-Emmanuel]
  * New upstream version 4.7.6

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Mon, 24 Aug 2020 16:50:34 +0200

python-qtconsole (4.7.4-1) unstable; urgency=medium

  * New upstream version 4.7.4

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sat, 16 May 2020 14:51:38 +0200

python-qtconsole (4.7.2-1) unstable; urgency=medium

  * New upstream version 4.7.2
  * d/rules: do not call xvfb-run directly
  * d/control: Added python3-ipython (>= 7) (Closes: #953232)
  * d/control: Build-Depends: Added python3-zmq, python3-qtpy, python3-flaky
  * d/control: Build-Depends: Removed python3-pyqt5, python3-qpyqt5.qtsvg
  * d/t/control: Added python3-flaky
  * d/t/control: Allow stderr during test.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 29 Mar 2020 19:42:42 +0200

=== debian/control ===
--- 
+++ 
@@ -6,30 +6,30 @@
 Build-Depends: debhelper-compat (= 12),
                dh-python,
                python3-all,
+               python3-flaky <!nocheck>,
                python3-ipykernel,
                python3-ipython-genutils,
                python3-jupyter-client,
                python3-jupyter-core,
                python3-pygments,
-               python3-pyqt5,
-               python3-pyqt5.qtsvg,
                python3-pytest,
                python3-pytest-xvfb,
                python3-pytestqt,
+               python3-zmq,
+               python3-qtpy,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-traitlets
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-qtconsole
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-qtconsole.git
-Homepage: http://jupyter.org
+Homepage: https://jupyter.org
 
 Package: python3-qtconsole
 Architecture: all
-Depends: python3-pyqt5,
-         python3-pyqt5.qtsvg,
-         ${misc:Depends},
+Depends: ${misc:Depends},
+         python3-ipython (>= 7),
          ${python3:Depends}
 Description: Jupyter - Qt console (Python 3)
  IPython can be used as a replacement for the standard Python shell,

=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,9 @@
 	rm -rf docs/build
 
 override_dh_auto_test:
+	# skip for now the console test whcih segfault.
+	# I do not have enought time to investigate.
+	dh_auto_test -- --test-args="-k \"not test_00_console_widget\""
 
 override_dh_auto_install:
 	dh_auto_install

## python-qtconsole 5.0.2

=== debian/changelog ===
python-qtconsole (5.0.2-2) unstable; urgency=medium

  * Team upload.
  * Fix Build-Depends.

 -- Julian Gilbey <jdg@debian.org>  Fri, 05 Feb 2021 10:06:46 +0000

python-qtconsole (5.0.2-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * Team upload.
  * New upstream version.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Julian Gilbey <jdg@debian.org>  Thu, 04 Feb 2021 23:20:41 +0000

=== debian/control ===
--- 
+++ 
@@ -1,35 +1,37 @@
 Source: python-qtconsole
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                python3-all,
                python3-flaky <!nocheck>,
                python3-ipykernel,
+               python3-ipython (>= 7),
                python3-ipython-genutils,
                python3-jupyter-client,
                python3-jupyter-core,
                python3-pygments,
-               python3-pytest,
-               python3-pytest-xvfb,
-               python3-pytestqt,
-               python3-zmq,
+               python3-pytest <!nocheck>,
+               python3-pytest-xvfb <!nocheck>,
+               python3-pytestqt <!nocheck>,
                python3-qtpy,
                python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-traitlets
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-qtconsole
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-qtconsole.git
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>,
+               python3-traitlets,
+               python3-zmq
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtconsole
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtconsole.git
 Homepage: https://jupyter.org
 
 Package: python3-qtconsole
 Architecture: all
-Depends: ${misc:Depends},
+Depends: python3-ipykernel,
          python3-ipython (>= 7),
+         ${misc:Depends},
          ${python3:Depends}
 Description: Jupyter - Qt console (Python 3)
  IPython can be used as a replacement for the standard Python shell,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=qtconsole
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
%:
	dh $@ --with sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
	cd docs && PYTHONPATH=$(CURDIR) $(MAKE) html
	dh_installdocs docs/build/html -p python-qtconsole-doc --doc-main-package=python3-qtconsole
	dh_sphinxdoc -O--buildsystem=pybuild

else
%:
	dh $@ --buildsystem=pybuild

endif

execute_after_dh_clean:
	rm -rf docs/build

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Skip the console test which segfaults
	# I do not have enought time to investigate.
	dh_auto_test -- --test-args="-k \"not test_00_console_widget\""
endif

execute_after_dh_auto_install:
	# install scripts into jupyter-qtconsole
	python3 setup.py install_scripts -d debian/jupyter-qtconsole/usr/bin

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -s 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -m pytest --pyargs qtconsole -k "not test_00_console_widget"
 ; done
Depends: python3-all,
         python3-flaky,
         python3-pytest,
         python3-pytest-xvfb,
         python3-pytestqt,
         python3-qtconsole,
         xauth,
         xvfb
Restrictions: allow-stderr

=== debian/watch ===
# please also check https://pypi.debian.net/qtconsole/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/qtconsole/qtconsole-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-qtconsole 5.2.2

=== debian/changelog ===
python-qtconsole (5.2.2-1) unstable; urgency=medium

  [ Julian Gilbey ]
  * New upstream release.
  * Skip another breaking test :-(

  [ Picca Frédéric-Emmanuel ]
  * New upstream version 5.2.2
  * wrap-and-sort -ast
  * d/pathes: Removed all patches (upstreamed)

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Thu, 06 Jan 2022 14:30:40 +0100

python-qtconsole (5.1.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * New upstream release.

  [Picca Frédéric-Emmanuel]
  * d/control: Added dh-sequence-sphinxdoc
  * d/rules: Simplify thanks to dh-sequence-sphinxdoc.

 -- Picca Frédéric-Emmanuel <picca@debian.org>  Sun, 05 Sep 2021 20:32:16 +0200

python-qtconsole (5.1.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * New upstream release.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 21 Aug 2021 12:46:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,38 +1,42 @@
 Source: python-qtconsole
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Picca Frédéric-Emmanuel <picca@debian.org>
+Uploaders:
+ Picca Frédéric-Emmanuel <picca@debian.org>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               python3-all,
-               python3-flaky <!nocheck>,
-               python3-ipykernel,
-               python3-ipython (>= 7),
-               python3-ipython-genutils,
-               python3-jupyter-client,
-               python3-jupyter-core,
-               python3-pygments,
-               python3-pytest <!nocheck>,
-               python3-pytest-xvfb <!nocheck>,
-               python3-pytestqt <!nocheck>,
-               python3-qtpy,
-               python3-setuptools,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
-               python3-traitlets,
-               python3-zmq
-Standards-Version: 4.5.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dh-sequence-sphinxdoc <!nodoc>,
+ python3-all,
+ python3-flaky <!nocheck>,
+ python3-ipykernel,
+ python3-ipython (>= 7),
+ python3-ipython-genutils,
+ python3-jupyter-client,
+ python3-jupyter-core,
+ python3-pygments,
+ python3-pytest <!nocheck>,
+ python3-pytest-xvfb <!nocheck>,
+ python3-pytestqt <!nocheck>,
+ python3-qtpy,
+ python3-setuptools,
+ python3-sphinx <!nodoc>,
+ python3-sphinx-rtd-theme <!nodoc>,
+ python3-traitlets,
+ python3-zmq,
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtconsole
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtconsole.git
 Homepage: https://jupyter.org
 
 Package: python3-qtconsole
 Architecture: all
-Depends: python3-ipykernel,
-         python3-ipython (>= 7),
-         ${misc:Depends},
-         ${python3:Depends}
+Depends:
+ python3-ipykernel,
+ python3-ipython (>= 7),
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Jupyter - Qt console (Python 3)
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -48,7 +52,11 @@
 Package: jupyter-qtconsole
 Architecture: all
 Section: interpreters
-Depends: jupyter-core, python3-qtconsole, ${misc:Depends}, ${python3:Depends}
+Depends:
+ jupyter-core,
+ python3-qtconsole,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Jupyter - Qt console (binaries)
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific
@@ -65,7 +73,9 @@
 Package: python-qtconsole-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Description: Jupyter - Qt console (documentation)
  IPython can be used as a replacement for the standard Python shell,
  or it can be used as a complete working environment for scientific

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=qtconsole
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

%:
	dh $@ --buildsystem=pybuild


execute_after_dh_clean:
	rm -rf docs/build

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	# Skip the console test which segfaults
	# I do not have enough time to investigate; it might be due to
	# Jupyter attempting to use the user's HOME directory to store
	# it's configuration (despite $$HOME being set to something sane).
	# test_comms.py is also breaking, and reported upstream to
	# https://github.com/jupyter/qtconsole/issues/511
	dh_auto_test -- --test-args="-k \"not test_00_console_widget and not test_comms.py\""
endif

execute_after_dh_auto_install:
	# install scripts into jupyter-qtconsole
	python3 setup.py install_scripts -d debian/jupyter-qtconsole/usr/bin

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	cd docs && PYTHONPATH=$(CURDIR) $(MAKE) html

execute_after_dh_installdocs:
	dh_installdocs -p python-qtconsole-doc docs/build/html --doc-main-package=python3-qtconsole
endif

=== debian/tests/control ===
Test-Command: set -efu
 ; for py in $(py3versions -s 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; xvfb-run -a --server-args="-screen 0 1024x768x24" $py -m pytest --pyargs qtconsole -k "not test_00_console_widget and not test_comms.py"
 ; done
Depends:
 python3-all,
 python3-flaky,
 python3-pytest,
 python3-pytest-xvfb,
 python3-pytestqt,
 python3-qtconsole,
 xauth,
 xvfb,
Restrictions: allow-stderr

## python-qtconsole 5.3.0

=== debian/changelog ===
python-qtconsole (5.3.0-3) unstable; urgency=medium

  * Make jupyter-qtconsole depend on versioned python3-qtconsole
    (closes: #987362)
  * Add Rules-Requires-Root to d/control
  * Simplify autopkgtest script
  * Update lintian-overrides file
  * Add examples to doc package

 -- Julian Gilbey <jdg@debian.org>  Thu, 14 Jul 2022 09:35:40 +0100

python-qtconsole (5.3.0-2) unstable; urgency=medium

  * Improve autopkgtest suite: cover more tests
  * Do not install tests with package or run tests at build time
  * Do not build -doc package if nodoc profile is used

 -- Julian Gilbey <jdg@debian.org>  Tue, 26 Apr 2022 06:15:51 +0100

python-qtconsole (5.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 05 Apr 2022 13:04:55 +0100

## python-qtconsole 5.4.0

=== debian/changelog ===
python-qtconsole (5.4.0-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Sat, 12 Nov 2022 21:56:10 +0000

python-qtconsole (5.3.2-1) unstable; urgency=medium

  * New upstream version
  * Add lintian override for screenshot lacking source

 -- Julian Gilbey <jdg@debian.org>  Wed, 31 Aug 2022 08:07:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Picca Frédéric-Emmanuel <picca@debian.org>,
+ Julian Gilbey <jdg@debian.org>,
 Section: python
 Priority: optional
 Build-Depends:
@@ -9,23 +10,20 @@
  dh-sequence-python3,
  dh-sequence-sphinxdoc <!nodoc>,
  python3-all,
- python3-flaky <!nocheck>,
  python3-ipykernel,
  python3-ipython (>= 7),
  python3-ipython-genutils,
  python3-jupyter-client,
  python3-jupyter-core,
  python3-pygments,
- python3-pytest <!nocheck>,
- python3-pytest-xvfb <!nocheck>,
- python3-pytestqt <!nocheck>,
  python3-qtpy,
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-traitlets,
  python3-zmq,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtconsole
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtconsole.git
 Homepage: https://jupyter.org
@@ -54,7 +52,7 @@
 Section: interpreters
 Depends:
  jupyter-core,
- python3-qtconsole,
+ python3-qtconsole (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},
 Description: Jupyter - Qt console (binaries)
@@ -87,3 +85,4 @@
  and is embeddable in other Python programs.
  .
  This package contains the qtconsole library documentation.
+Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=qtconsole
export PYBUILD_AFTER_INSTALL=rm -rf {destdir}/usr/bin/

%:
	dh $@ --buildsystem=pybuild


execute_after_dh_clean:
	rm -rf docs/build

# Some of the tests break if certain other packages are installed.
# So we reserve the test suite for autopkgtest, which uses a
# controlled environment, rather than trying to identify an possibly-long
# list of packages to name in Build-Conflicts.
override_dh_auto_test:

execute_after_dh_auto_install:
	# install scripts into jupyter-qtconsole
	python3 setup.py install_scripts -d debian/jupyter-qtconsole/usr/bin

execute_before_dh_installexamples:
	chmod a-x examples/*

ifeq (,$(findstring nodoc,$(DEB_BUILD_OPTIONS)))
execute_after_dh_auto_build:
	cd docs && PYTHONPATH=$(CURDIR) $(MAKE) html

execute_after_dh_installdocs:
	dh_installdocs -p python-qtconsole-doc docs/build/html --doc-main-package=python3-qtconsole
endif

=== debian/tests/control ===
Tests: pytest
Depends:
 python3-all,
 python3-flaky,
 python3-pytest,
 python3-pytestqt,
 python3-qtconsole,
 xauth,
 xvfb,
Restrictions: allow-stderr

## python-qtconsole 5.4.3

=== debian/changelog ===
python-qtconsole (5.4.3-2) unstable; urgency=medium

  * Run test_inprocess_kernel.py under unittest rather than pytest, as it
    causes pytest to crash inexplicably

 -- Julian Gilbey <jdg@debian.org>  Sun, 02 Jul 2023 23:16:43 +0100

python-qtconsole (5.4.3-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Tue, 27 Jun 2023 22:14:42 +0100

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
  python3-ipython-genutils,
  python3-jupyter-client,
  python3-jupyter-core,
+ python3-packaging,
  python3-pygments,
  python3-qtpy,
  python3-setuptools,
@@ -22,7 +23,7 @@
  python3-sphinx-rtd-theme <!nodoc>,
  python3-traitlets,
  python3-zmq,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtconsole
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtconsole.git
@@ -86,3 +87,4 @@
  .
  This package contains the qtconsole library documentation.
 Build-Profiles: <!nodoc>
+Multi-Arch: foreign

## python-qtconsole 5.5.1

=== debian/changelog ===
python-qtconsole (5.5.1-1) unstable; urgency=medium

  * New upstream version
  * Clean generated file in debian/clean (closes: #1046320)

 -- Julian Gilbey <jdg@debian.org>  Tue, 28 Nov 2023 07:18:25 +0000

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  python3-jupyter-core,
  python3-packaging,
  python3-pygments,
- python3-qtpy,
+ python3-qtpy (>= 2.4.0),
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,

## python-qtconsole 5.5.2

=== debian/changelog ===
python-qtconsole (5.5.2-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 5.5.2
  * Remove build-dependency on python3-ipython-genutils

 -- Alexandre Detiste <tchet@debian.org>  Sat, 03 Aug 2024 21:59:33 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
  python3-all,
  python3-ipykernel,
  python3-ipython (>= 7),
- python3-ipython-genutils,
  python3-jupyter-client,
  python3-jupyter-core,
  python3-packaging,

## python-qtconsole 5.6.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  gh-pages   clone qtconsole docs in ./gh-pages/ , build doc, autocommit"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*
	rm -rf source/config_options.rst

html: source/config_options.rst
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

source/config_options.rst:
	python3 autogen_config.py
	@echo "Created docs for config options"

gh-pages: clean html
	# if VERSION is unspecified, it will be dev
	# For releases, VERSION should be just the major version,
	# e.g. VERSION=2 make gh-pages
	python3 gh-pages.py $(VERSION)

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/JupyterQtConsole.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/JupyterQtConsole.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/JupyterQtConsole"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/JupyterQtConsole"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-qtconsole (5.6.1-4) unstable; urgency=medium

  * Upload to unstable

 -- Julian Gilbey <jdg@debian.org>  Sun, 16 Feb 2025 15:05:23 +0000

python-qtconsole (5.6.1-3) experimental; urgency=medium

  [ Stuart Prescott ]
  * Move PyQt5 dependencies to jupyter-qtconsole package (Closes: #1089946).

  [ Julian Gilbey ]
  * Run autopkgtests on each Qt implementation (see discussion in #1089946)

 -- Julian Gilbey <jdg@debian.org>  Fri, 17 Jan 2025 11:00:39 +0000

python-qtconsole (5.6.1-2) unstable; urgency=medium

  * Explicitly depend on relevant PyQt5 libraries (closes: #1089946)

 -- Julian Gilbey <jdg@debian.org>  Wed, 25 Dec 2024 15:38:31 +0000

python-qtconsole (5.6.1-1) unstable; urgency=medium

  * New upstream version

 -- Julian Gilbey <jdg@debian.org>  Wed, 20 Nov 2024 18:41:46 +0000

=== debian/control ===
--- 
+++ 
@@ -16,13 +16,14 @@
  python3-jupyter-core,
  python3-packaging,
  python3-pygments,
+ python3-pyqt5,
+ python3-pyqt5.qtsvg,
  python3-qtpy (>= 2.4.0),
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-traitlets,
- python3-zmq,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtconsole
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtconsole.git
@@ -45,13 +46,19 @@
  verbose and colored traceback reports, auto-parentheses, auto-quoting,
  and is embeddable in other Python programs.
  .
- This package contains the qtconsole library for the Python 3 interpreter.
+ This package contains the qtconsole library for the Python 3
+ interpreter.  It does not depend on any Python Qt packages; it is the
+ responsibility of the depending package to do that.  See
+ /usr/share/doc/python3-qtconsole/README.Debian.gz for more
+ information on this.
 
 Package: jupyter-qtconsole
 Architecture: all
 Section: interpreters
 Depends:
  jupyter-core,
+ python3-pyqt5,
+ python3-pyqt5.qtsvg,
  python3-qtconsole (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 # Some of the tests break if certain other packages are installed.
 # So we reserve the test suite for autopkgtest, which uses a
-# controlled environment, rather than trying to identify an possibly-long
+# controlled environment, rather than trying to identify a possibly-long
 # list of packages to name in Build-Conflicts.
 override_dh_auto_test:

=== debian/tests/control ===
Test-Command: debian/tests/qtconsole-tests pyqt5
Features:
 test-name=python3-qtconsole-pyqt5,
Restrictions:
 allow-stderr,
Depends:
 python3-all,
 python3-flaky,
 python3-pyqt5,
 python3-pyqt5.qtsvg,
 python3-pytest,
 python3-pytestqt,
 python3-qtconsole,
 xauth,
 xvfb,

Test-Command: debian/tests/qtconsole-tests pyqt6
Features:
 test-name=python3-qtconsole-pyqt6,
Restrictions:
 allow-stderr,
Depends:
 python3-all,
 python3-flaky,
 python3-pyqt6,
 python3-pyqt6.qtsvg,
 python3-pytest,
 python3-pytestqt,
 python3-qtconsole,
 xauth,
 xvfb,

Test-Command: debian/tests/qtconsole-tests pyside6
Features:
 test-name=python3-qtconsole-pyside6,
Restrictions:
 allow-stderr,
 flaky,
Depends:
 python3-all,
 python3-flaky,
 python3-pyside6.qtcore,
 python3-pyside6.qtgui,
 python3-pyside6.qtopengl,
 python3-pyside6.qtprintsupport,
 python3-pyside6.qtsvg,
 python3-pyside6.qttest,
 python3-pyside6.qtwidgets,
 python3-pytest,
 python3-pytestqt,
 python3-qtconsole,
 xauth,
 xvfb,

=== debian/watch ===
# please also check https://pypi.debian.net/qtconsole/watch
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.python.org/packages/source/q/qtconsole/ qtconsole-(.+)\.tar\.gz

## python-qtconsole 5.7.1

=== debian/changelog ===
python-qtconsole (5.7.1-3) unstable; urgency=medium

  * Team upload.
  * jupyter-qtconsole Depends: python3-pyqt6, python3-pyqt6.qtsvg
    Still works with pyqt5 (see qtpy env var QT_API),
    but set pyqt6 as default. Qt6 also better supports Wayland.
  * debian/tests Depends: python3-pytest-asyncio in pyqt5 and pyqt6
    tests as well, not just pyside6

 -- Drew Parsons <dparsons@debian.org>  Wed, 04 Mar 2026 12:36:20 +0100

python-qtconsole (5.7.1-2) unstable; urgency=medium

  * Team upload.
  * debian/tests Depends: python3-pytest-asyncio
    Needed by test_inprocess_kernel.py

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Mar 2026 09:32:36 +0100

python-qtconsole (5.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * update debian/watch to v5 PyPI pattern
  * update debian/tests
    - set QT_QPA_PLATFORM=offscreen to prevent display of test widgets
    - skip test_other_output (TestJupyterWidget.py),
      which is flaky with varying output generated
    - run test_inprocess_kernel.py with pytest not unittest
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Mar 2026 17:43:52 +0100

=== debian/control ===
--- 
+++ 
@@ -16,14 +16,14 @@
  python3-jupyter-core,
  python3-packaging,
  python3-pygments,
- python3-pyqt5,
- python3-pyqt5.qtsvg,
+ python3-pyqt6,
+ python3-pyqt6.qtsvg,
  python3-qtpy (>= 2.4.0),
  python3-setuptools,
  python3-sphinx <!nodoc>,
  python3-sphinx-rtd-theme <!nodoc>,
  python3-traitlets,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-qtconsole
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-qtconsole.git
@@ -57,8 +57,8 @@
 Section: interpreters
 Depends:
  jupyter-core,
- python3-pyqt5,
- python3-pyqt5.qtsvg,
+ python3-pyqt6,
+ python3-pyqt6.qtsvg,
  python3-qtconsole (= ${source:Version}),
  ${misc:Depends},
  ${python3:Depends},

=== debian/tests/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
  python3-pyqt5,
  python3-pyqt5.qtsvg,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-pytestqt,
  python3-qtconsole,
  xauth,
@@ -25,6 +26,7 @@
  python3-pyqt6,
  python3-pyqt6.qtsvg,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-pytestqt,
  python3-qtconsole,
  xauth,
@@ -47,6 +49,7 @@
  python3-pyside6.qttest,
  python3-pyside6.qtwidgets,
  python3-pytest,
+ python3-pytest-asyncio,
  python3-pytestqt,
  python3-qtconsole,
  xauth,
